import sys
import os
from pathlib import Path

# Add current directory (project root) to Python path
project_path = Path(__file__).resolve().parent
sys.path.insert(0, str(project_path))

# Set default environment variables (optional fallback)
os.environ.setdefault("FLASK_ENV", "production")
os.environ.setdefault("SESSION_SECRET", "your-default-secret")
os.environ.setdefault("DATABASE_URL", "mysql+pymysql://USER:PASSWORD@localhost/DB")

# Import the Flask application instance
from app import app as application  # 👈 Passenger requires this exact name: application
